Groovy Documentation

## groovy.xml.streamingmarkupsupport
[Java] Class Builder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.xml.streamingmarkupsupport.Builder

    public abstract class Builder
    extends GroovyObjectSupport

Nested Class Summary
`protected static class` | `Builder.Built`

Field Summary
`protected java.util.Map` | `namespaceMethodMap`

Constructor Summary
`Builder(java.util.Map namespaceMethodMap)`

Method Summary
`java.lang.Object` | `bind(Closure root)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### namespaceMethodMap

    protected final java.util.Map namespaceMethodMap

Constructor Detail

### Builder

    public Builder(java.util.Map namespaceMethodMap)

Method Detail

### bind

    public java.lang.Object bind(Closure root)

Groovy Documentation